/* CONFIGURATION FILE FOR THE GN PACKAGE (vers 2.0) */


/*
 */
#define MAINTAINER  "mailto:C.J.Adie@ed.ac.uk"
/*
 * Enter your e-mail address here
 */

/*
 */
#define GN_HOSTNAME "esk.emwac.ed.ac.uk"
/*
 * Enter your fully qualified host name here
 */


/*
 */
#define ROOT_DIR    "d:\\http"
/*
 * Enter the complete path of your root data directory here.
 */


/*
 */
#define ROOT_MENU_NAME  "Root of server"
/*
 * Enter a name for your root directory.  This is used by WWW only, 
 * there is no way for a gopher server to specify the title of the
 * root menu.
 */


/*
 */
#define MIME_TYPE_FILE  "/home/azure/cja/gn-2.0/src/mkcache/gn_mime.types"
/*
 * This file contains information permitting mkcache to translate 
 * ascertain the MIME "Content-type" from the suffix of a file name
 * together with the gopher type of the file.  This information is
 * necessary for HTTP/1.0 and gopher+ clients to know how to display
 * files.  If this file is not present mkcache will issue a warning
 * but use internal default values.  The file exists so that you
 * can add to it if you wish to add new kinds of documents to your
 * server.  The format of the file is explained in the file.
 * The default version of the file is in mkcache/gn_mime.types.
 * The internal defaults are the same as what is currently in this
 * file.
 */


/*
 */
#define WAISGN  "/usr/local/etc/waisgn"
/*
 * This is the complete path name of the waisgn program which 
 * handles WAIS indexes.  If you do not use WAIS indexing use 
 * a value of "".
 * NOTE: THIS MUST BE THE SAME AS $(SERVBINDIR)/waisgn AS SERVBINDIR
 * IS DEFINED IN THE MAKEFILE IF YOU USE MAKE INSTALL TO INSTALL waisgn.
 */


/*
 * STANDALONE STUFF
 * Doing "make sgn" in the /gn directory produces sgn (rather than gn) 
 * which can run stand alone.  The port used will be the DEFAULTPORT
 * set below.
 *
 * These are the group and user id you want the server to run as when
 * running as sgn (i.e. standalone).  These have no effect when run from
 * inetd.
 */

#define USERID      (65534)
#define GROUPID     (65534)

/*
 * BSD should be defined for BSD like systems.  This includes SunOS (not
 * SOLARIS), Ultrix, NeXT, I think.  This is only used if STANDALONE is
 * defined.  If you are not using a BSD like system comment this out.
 */

#define BSD

/*
 * #define NO_FLOCK
 *
 * Uncomment this if your system does not have the flock() system call.
 * Doing this means that if more than one client is using your server 
 * at the same time, your logfile might be garbled.  There are no other
 * ill effects.
 *
 */


/* #define GID_SET 70   /* Group ID number gn will run as */
/* #define UID_SET -2   /* User ID number gn will run as */
/*
 *  These are used only for gn, not for sgn.
 *  If you are using an inetd without the capability to set UID
 *  on startup (e.g., Ultrix), you should define the group ID and
 *  user ID so that the program is not running as root.
 *  GID_SET must be defined if UID_SET is to be defined, and if
 *  GID_SET is defined, UID_SET will be assigned -2 unless 
 *  specifically defined.
 */

/*
 * #define NO_SYSLOG
 *
 * Uncomment this if your system does not have the openlog()/syslog()
 * system calls.  Doing this means that you won't be able to have your
 * log entries put in the system log ( the "-S" option to gn).  You
 * can still use the "-L" option to write the entries to a named log file.
 *
 */

/*
 * #define NO_VOID_PTR
 *
 * Uncomment this if your compiler does not support void pointers.
 *
 */

/*
 * #define NEED_PUTENV
 *
 * Uncomment this if your compiler library does not have the function
 * putenv().  NeXT and NeXTStep systems are known to ned this.
 *
 */

/*
 * #define NEED_STRFTIME
 *
 * Uncomment this if your compiler library does not have the function
 * strftime()
 *
 */

/*
 * #define NEED_STRNCASECMP
 *
 * Uncomment this if your compiler library does not have the function
 * strcasecmp()
 *
 */


/*
 ****************************************************************
 * If you wish you can change the following defaults.
 ****************************************************************
 */


/*
 */
#define DEFAULTPORT "70"
/*
 * If you wish to run at a different port than 70, edit this line.
 */

#define DECOMPRESS  "/usr/net/bin/zcat"

#define ACCESSFNAME ".access"

#define CACHEFNAME  ".cache"

#define MENUFNAME   "menu"

#define TEMPDIR     "/tmp"

#define MAXDEPTH    (10)    /* maximum depth of menus to search */

#define TIMEOUT (300)       /* Time in seconds to wait before timeout */
                /* Five minutes should be adequate  */

#define CGI_EXT     ".cgi"  /* File extension for CGI scripts   */

#define SEARCHABLE_ROOT TRUE    /* Change to FALSE to prevent searching */

/*
 * #define GOPHERD_LOG_STYLE
 * Uncomment for log files like those of UMN gopherd
 * 
 * #define OLDGN_LOG_STYLE
 * Uncomment for log files like those of gn versions < 2.0
 */

/*
 * #define ESCAPE_META
 *
 * Ucomment this at your peril.  Several people has asked for the 
 * capability to pass all characters to shell scripts (type exec0, etc.), 
 * with the dangerous ones escaped with a backslash.  The normal behavior
 * is replace all the characters which have a special meaning to the
 * shell like ';' or '|' with a space.  This is done as a security
 * measure.  Escaping these characters with a backslash, as near as I can
 * tell, is secure for the shell which gn invokes to run your script or
 * program.  But it does nothing to protect any scripts *you* write.  I
 * don't advise using this.  If you uncomment this keep in mind that if
 * your script contains the line "echo $1" that $1 might be equal to 
 * "Tough luck!; rm /*" so your command is turned into "echo Tough luck!;
 * rm /*".  (By the way, if you are running with the user properly set to
 * 'nobody' in inetd.conf, no damage should be done by this particular 
 * command.  Anyway the capability is there if you feel confident using
 * it.  I don't use it.
 * 
 */









